package org.itscool.weber.action;

import org.itscool.weber.controller.Globals;



/**
 * デフォルトのログアウト処理を行うクラスです <BR>
 * セッションパラメータにセットされているorg.itscool.role.Userインスタンスを
 * 破棄します<BR>
 * 又、このアクションは無条件でGlobals.ROLE_SUCCESSを返却します
 * @version 1.00A 2003/10/29
 * @author KANO
 * @since jdk1.4.1
*/
public class LogoutAction extends Action {

    /**
     * ログアウト処理
     */
    public String doExecute(ActionBucket bucket){
        bucket.removeAttributeFromSession(Globals.REQ_PARAM_USER);
        return Globals.RET_ROLE_SUCCESS;
    }
}
